Skip to main content
POST
/
virtual-accounts
/
currency
Create currency account
curl --request POST \
  --url https://api.pcxpay.com/v1/virtual-accounts/currency \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "org_id": "<string>",
  "currency": "USD",
  "user_id": "<string>",
  "initial_balance": 0,
  "org_name": "<string>",
  "email": "jsmith@example.com",
  "first_name": "<string>",
  "last_name": "<string>",
  "phone": "<string>",
  "customer_type": "individual",
  "provider": "<string>"
}
'
{
  "status": "success",
  "message": "Operation completed successfully",
  "data": {
    "account_id": "<string>",
    "org_id": "<string>",
    "user_id": "<string>",
    "customer_id": "<string>",
    "virtual_account_name": "<string>",
    "currency": "USD",
    "balance": 1000,
    "status": "active",
    "account_type": "currency",
    "provider": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
org_id
string
required
currency
string
required

ISO 4217 currency code

Example:

"USD"

user_id
string
required
initial_balance
number<float>
default:0
org_name
string
email
string<email>
first_name
string
last_name
string
phone
string
customer_type
enum<string>
Available options:
individual,
business
Example:

"individual"

provider
string

Optional provider override (e.g. bridge, squadco)

Response

Currency account created

status
enum<string>
Available options:
success,
error
Example:

"success"

message
string
Example:

"Operation completed successfully"

data
object